/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.rss.core.valueobject;

/**
 * blancoRssのためのバリューオブジェクト。
 */
public class BlancoRssChannel {
    /**
     * フィールド [title]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fTitle;

    /**
     * フィールド [link]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fLink;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fDescription;

    /**
     * フィールド [language]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja"]<br>
     */
    private String fLanguage = "ja";

    /**
     * フィールド [copyright]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fCopyright;

    /**
     * フィールド [dc_date]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fDcDate;

    /**
     * フィールド [title]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argTitle フィールド[title]に格納したい値
     */
    public void setTitle(final String argTitle) {
        fTitle = argTitle;
    }

    /**
     * フィールド[title]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[title]に格納されている値
     */
    public String getTitle() {
        return fTitle;
    }

    /**
     * フィールド [link]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argLink フィールド[link]に格納したい値
     */
    public void setLink(final String argLink) {
        fLink = argLink;
    }

    /**
     * フィールド[link]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[link]に格納されている値
     */
    public String getLink() {
        return fLink;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [language]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argLanguage フィールド[language]に格納したい値
     */
    public void setLanguage(final String argLanguage) {
        fLanguage = argLanguage;
    }

    /**
     * フィールド[language]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja"]<br>
     *
     * @return フィールド[language]に格納されている値
     */
    public String getLanguage() {
        return fLanguage;
    }

    /**
     * フィールド [copyright]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argCopyright フィールド[copyright]に格納したい値
     */
    public void setCopyright(final String argCopyright) {
        fCopyright = argCopyright;
    }

    /**
     * フィールド[copyright]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[copyright]に格納されている値
     */
    public String getCopyright() {
        return fCopyright;
    }

    /**
     * フィールド [dc_date]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argDcDate フィールド[dc_date]に格納したい値
     */
    public void setDcDate(final String argDcDate) {
        fDcDate = argDcDate;
    }

    /**
     * フィールド[dc_date]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[dc_date]に格納されている値
     */
    public String getDcDate() {
        return fDcDate;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.rss.core.valueobject.BlancoRssChannel[");
        buf.append("title=" + fTitle);
        buf.append(",link=" + fLink);
        buf.append(",description=" + fDescription);
        buf.append(",language=" + fLanguage);
        buf.append(",copyright=" + fCopyright);
        buf.append(",dc_date=" + fDcDate);
        buf.append("]");
        return buf.toString();
    }
}
